<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    use WithoutModelEvents;

    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // User::factory(10)->create();
// 1. Create the SaaS Owner
    $this->call(LandlordSeeder::class);

    // 2. Create a Sample Law Firm (Dennis Law)
    $this->call(TenantSeeder::class);
    }
}
